Skip to main content
https://.thoughtindustries.com

Make Dual Role

Assigns a dual role to the specified user, enabling them to act as both a learner and a manager within the platform

Assigns a dual role to the specified user, enabling them to act as both a learner and a manager within the platform.

PUThttps://example.thoughtindustries.com/incoming/v2/users/:id/makeDualRole

Example request

curl -X PUT "https://example.thoughtindustries.com/incoming/v2/users/:id/makeDualRole" \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "role": "string"
}'

Parameters

NameTypeRequiredLocationDescription
iduuidYespathThe id identifier.
rolestringNobodyThe role to assign to the user in addition to their existing role (e.g., "manager" or "learner").

Example response

{
  "data": {
    "SetupUserDualRole": {
      "learnerId": "00000000-0000-0000-0000-000000000000",
      "managerId": "00000000-0000-0000-0000-000000000000"
    }
  }
}

Response fields

FieldTypeDescription
learnerIduuidThe unique identifier of the user in their learner role.
managerIduuidThe unique identifier of the user in their manager role.